/*
 * vip1710osd.h:
 *
 * See the README file for copyright information and how to reach the author.
 *
 */

#ifndef __VIP1710_OSD_H
#define __VIP1710_OSD_H

#include <vdr/osdbase.h>
#include <directfb.h>

class cVip1710Osd : public cOsd {
private:
    IDirectFBSurface *osd_dfb_primary;
    unsigned char *osd;
    bool shown;
#if VDRVERSNUM >= 10509
protected:
virtual void SetActive(bool On);
#endif
public:
#if VDRVERSNUM < 10509
    cVip1710Osd(int Left, int Top, IDirectFBSurface *dfb_primary, unsigned char *osdbuf);
#else
    cVip1710Osd(int Left, int Top, uint Level, IDirectFBSurface *dfb_primary, unsigned char *osdbuf);
#endif
    ~cVip1710Osd();
    eOsdError CanHandleAreas(const tArea *Areas, int NumAreas);
    eOsdError SetAreas(const tArea *Areas, int NumAreas);
    void Flush(void);
    void Copy_OSD_buffer_to_card(void);

private:
    void Hide(cBitmap *Bitmap);
};

class cVip1710OsdProvider : public cOsdProvider {
private:
    unsigned char *osdBuf;
    IDirectFBSurface *osd_dfb_primary;
public:
    cVip1710OsdProvider(IDirectFBSurface *dfb_primary, unsigned char *buf);
#if VDRVERSNUM < 10509
    virtual cOsd *CreateOsd(int Left, int Top);
#else
    virtual cOsd *CreateOsd(int Left, int Top, uint Level);
#endif
};


#endif
