/*
 * vip1710player.h: 
 *
 * See the README file for copyright information and how to reach the author.
 *
 */
#ifndef __VIP1710_PLAYER_H
#define __VIP1710_PLAYER_H
#include <vdr/device.h>
#include <vdr/thread.h>
#include <vdr/plugin.h>

extern "C" {
#include <vipipc.h>
#include <vipipc_prototypes.h>
}

#define VIP1710_TS_SOCKET "/tmp/vdr-vip1710-tsoutput"
#define VIP1710_PLUGIN_SOCKET "/tmp/vdr-vip1710-control#0"
#define VIP1710_DUMMY_APP_SOCKET "/tmp/dummyapplication#0"
#define VIP1710_IPC_CLIENTS 10

class cVip1710Player: public cThread {
private:
	ipcconn playerservicecaller;

protected:
	void Stop(void);
	void Quit(void);
	virtual void Action(void);

public:
	cVip1710Player(void);
	virtual ~cVip1710Player(void);

	bool Connect(void);
	void VidPlay(void);
	void VidPause(void);
	void VidStop(void);
	void VidClear(void);
	void SetVolume(int volume);
	void SetWSS(bool wss);
	void SetAspectRatio(int aspectratio, bool wss);
};

#endif /* __VIP1710_PLAYER_H */
